package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.VipQuanyi;

/**
 * quanyiService接口
 *
 * @author ruoyi
 * @date 2023-06-06
 */
public interface IVipQuanyiService extends IService<VipQuanyi>
{
    /**
     * 查询quanyi
     *
     * @param id quanyi主键
     * @return quanyi
     */
    public VipQuanyi selectVipQuanyiById(Long id);

    /**
     * 查询quanyi列表
     *
     * @param vipQuanyi quanyi
     * @return quanyi集合
     */
    public List<VipQuanyi> selectVipQuanyiList(VipQuanyi vipQuanyi);

    public List<VipQuanyi> userUnclaimedList(Long userId,String language,Long mdId    );

    /**
     * 新增quanyi
     *
     * @param vipQuanyi quanyi
     * @return 结果
     */
    public int insertVipQuanyi(VipQuanyi vipQuanyi);

    /**
     * 修改quanyi
     *
     * @param vipQuanyi quanyi
     * @return 结果
     */
    public int updateVipQuanyi(VipQuanyi vipQuanyi);

    /**
     * 批量删除quanyi
     *
     * @param ids 需要删除的quanyi主键集合
     * @return 结果
     */
    public int deleteVipQuanyiByIds(Long[] ids);

    /**
     * 删除quanyi信息
     *
     * @param id quanyi主键
     * @return 结果
     */
    public int deleteVipQuanyiById(Long id);
}
